package com.it;

import java.awt.*;//可视化窗口
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import static com.it.GameUtil.*;

public class MyGameFrame extends Frame {
    Image bgImg=GameUtil.getImage("images/bg.jpg");
    Image planeImg=GameUtil.getImage("images/plane.png");

    Plane plane=new Plane(planeImg,200,200,3);


    //加载窗口
    public void launchFrame(){
        this.setTitle("飞机大战===");
        this.setVisible(true);//窗口默认是不可见的，要设置为可见
        this.setSize(500,500);//窗口大小
        this.setLocation(300,300);//窗口位置

        //增加关闭窗口的动作
        this.addWindowListener(new WindowAdapter() {
            @Override
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        new PainThread().start();//启动窗口绘制线程
    }

    @Override
    public void paint(Graphics g) {
        g.drawImage(bgImg,0,0,FRAME_WIDTH,FRAME_HIGHT,null);
        plane.drawMySelf(g);
    }
    //重画线程
    class PainThread extends Thread{
        @Override
        public void run() {
            while(true){
                repaint();
                try {
                    Thread.sleep(40);//40ms 停一次
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    public static void main(String[] args) {
        MyGameFrame frame=new MyGameFrame();
        frame.launchFrame();
    }
    private Image offScreenImage = null;

    public void update(Graphics g) {
        if(offScreenImage == null)
            offScreenImage = this.createImage(500,500);//这是游戏窗口的宽度和高度
        Graphics gOff = offScreenImage.getGraphics();
        paint(gOff);
        g.drawImage(offScreenImage, 0, 0, null);
    }
}
